- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::ISphericalTransform Class Reference

This describes a solid harmonic to Cartesian transform. More...

`#include <transform.h>`

Inheritance diagram for sc::ISphericalTransform:

List of all members.

## Protected Member Functions
| ISphericalTransform (int l, int subl=-1)
void | init ()
| This determines all of the components of the transformation.

## Detailed Description

This describes a solid harmonic to Cartesian transform.

## Member Function Documentation

void sc::ISphericalTransform::init | ( |  | ) | `[protected, virtual]`

This determines all of the components of the transformation.

It should be possible to implement the SphericalTransformComponent::init specialization in such a way that the default SphericalTransform::init can be used.

Reimplemented from sc::SphericalTransform.

The documentation for this class was generated from the following file:

- chemistry/qc/basis/transform.h